Subject: Re: Use GDB for not GCC's exes
From: [email-masked] (Anatoly Kardash)

23 Oct 1996 02:29:26 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
		<[email-masked]>
		<[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 2.0 (WinNT; I)
Original-To: Michael Snyder <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Michael Snyder wrote:
> 
> [email-masked] (Anatoly Kardash) writes:
> > 2. Anyway, the MS's compiler seems to become the standard one
> >    for the win32 platform (don't ask me whether this is good or
> >    bad for all of us). So it is quite reasonable to add
> >    full support of its object (and other binary) files to
> >    the gnu-win32 package (first of all various utilities like
> >    nm, gdb, etc.). Are you planning to do it at all?
> 
> Well, the standard compiler for cygwin32 is gcc, so gdb's most
> important requirement is to work with gcc, not VC++.  However, I agree
> with you that inter-operability with MicroSoft-compiled objects would
> be a highly desireable secondary goal.  Whether that will happen is at
> least in part dependant on who would want it and how badly.  Does
> anybody else think that using gdb to debug code compiled with
> MicroSoft compilers is an important feature?

Again: the main reason why this might be very useful is when you are
using 3rd-party libraries requiring use of VC++ (as compiler) - and
this often happens. But how cool it would be if I could just to use
pair cl/link instead of gcc/gcc in the makefile but to have all other
stuff as is in cygwin32!

---------------------------------
        Anatoly Kardash 
    Infrastructure Team Leader
        MiSSiNG LiNK B.V.
---------------------------------
 11 Habonim st. Ramat-Gan 52462
            Israel
e-mail: [email-masked]
phone:  +972-3-6133160
fax:    +972-3-6133161
---------------------------------
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".